Skip to main content
POST
Create a conversion

Authorizations

X-Api-Key
string
header
required

Your API key, from your Tapfiliate account settings.

Query Parameters

Body

application/json
referral_code
string

An affiliate's referral code. This corresponds to the value of ref= in their referral link.

Example:

"janejameson"

tracking_id
string

XXX-XXXX-XXXX-XXXXX (string) - The tracking id, to be retrieved from our javascript library. Please refer to our REST API integration guide for more info.

Example:

"XXXXX"

click_id
string

The click id. Used to add additional reporting information.

Example:

"1-abc"

coupon
string

A coupon code to track the conversion by

Example:

"JANE10OFF"

currency
string

The three letter ISO currency code. Override the program's default currency for this conversion by explicitely passing a currency code.

Example:

"USD"

asset_id
string

The asset id

Example:

"1-aaaaaa"

source_id
string

The source id

Example:

"1-ssssss"

external_id
string

A unique id for this conversion. It can be anything that is meaningful to you, like an order number, user id, email adres etc.. After a conversion has taken place, you can find this id alongside the conversion on our platform. This makes it very easy to cross-reference data on our platform with your own administration. This id has to be unique for every conversion.

Example:

"foobar1"

amount
number

The conversion amount

Example:

30.55

customer_id
string

The id for the current customer in your system. Depending on your program settings, this can be used for recurring / lifetime commissions. You can read more about this here

Example:

"USER123"

commission_type
string

If no commission type is supplied, the programs default commission type is used

Example:

"mycommissiontype"

commissions
any[]

Will override "amount" and "commission_type" if set

program_group
string

The program group id

Example:

"myprogramgroup"

user_agent
string

The client's user agent string. Used for statistics and fraud detection.

Example:

"ua string"

ip
string

The client's ip. Used for fraud detection.

Example:

"111.11.11.111"

Response

OK

id
number
external_id
string
amount
number
click
unknown
commissions
object[]
program
object
affiliate
object
customer
unknown
meta_data
object
created_at
string
warnings
unknown
affiliate_meta_data
unknown